Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class GeolocSearchAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.SearchAction
              com.gisgraphy.webapp.action.GeolocSearchAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class GeolocSearchAction

extends SearchAction

geoloc search Action

Author:
  David Masclet
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `lat`
`java.lang.String` | `lng`
`java.lang.String` | `radius`

Fields inherited from class com.gisgraphy.webapp.action.SearchAction
`DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`GeolocSearchAction()`

Method Summary
`Output.OutputFormat[]` | `getFormats()`
`java.lang.String` | `getLat()`
`java.lang.String` | `getLng()`
`java.lang.String` | `getPlacetype()`
`java.lang.String` | `getRadius()`
`GeolocResultsDto` | `getResponseDTO()`
`boolean` | `isDisplayResults()`
`java.lang.String` | `search()` Execute a GeolocSearch from the request parameters
`java.lang.String` | `searchpopup()` Execute a geolocSearch from the request parameters
`void` | `setGeolocSearchEngine(IGeolocSearchEngine geolocSearchEngine)`
`void` | `setLat(java.lang.String lat)`
`void` | `setLng(java.lang.String lng)`
`void` | `setPlacetype(java.lang.String placetype)`
`void` | `setRadius(java.lang.String radius)`

Methods inherited from class com.gisgraphy.webapp.action.SearchAction
`getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lat

    public java.lang.String lat

### lng

    public java.lang.String lng

### radius

    public java.lang.String radius

Constructor Detail

### GeolocSearchAction

    public GeolocSearchAction()

Method Detail

### isDisplayResults

    public boolean isDisplayResults()

  Returns:
    Wether the search has been done and the results should be displayed

### search

    public java.lang.String search()
                            throws java.lang.Exception

  Execute a GeolocSearch from the request parameters

  Returns:
    SUCCESS if the search is successfull
  Throws:
    `java.lang.Exception` - in case of errors

### searchpopup

    public java.lang.String searchpopup()
                                 throws java.lang.Exception

  Execute a geolocSearch from the request parameters

  Returns:
    POPUPVIEW if the search is successfull The view will not be decorated by sitemesh (see decorators.xml)
  Throws:
    `java.lang.Exception` - in case of errors

### getFormats

    public Output.OutputFormat[] getFormats()

  Returns:
    the available formats for fulltext

### setGeolocSearchEngine

    public void setGeolocSearchEngine(IGeolocSearchEngine geolocSearchEngine)

  Parameters:
    `geolocSearchEngine` - the geolocSearchEngine to set

### getLat

    public java.lang.String getLat()

  Returns:
    the lat

### setLat

    public void setLat(java.lang.String lat)

  Parameters:
    `lat` - the lat to set

### getLng

    public java.lang.String getLng()

  Returns:
    the lng

### setLng

    public void setLng(java.lang.String lng)

  Parameters:
    `lng` - the lng to set

### getRadius

    public java.lang.String getRadius()

  Returns:
    the radius

### setRadius

    public void setRadius(java.lang.String radius)

  Parameters:
    `radius` - the radius to set

### setPlacetype

    public void setPlacetype(java.lang.String placetype)

  Parameters:
    `placetype` - the placetype to set

### getPlacetype

    public java.lang.String getPlacetype()

  Returns:
    the placetype

### getResponseDTO

    public GeolocResultsDto getResponseDTO()

  Returns:
    the response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.